/**
 * Enum for searching state
 */
export declare enum SimpleSearchState {
    FOUND = 0,
    NOT_FOUND = 1,
    WRAPPED = 2,
    PENDING = 3,
}
/**
 * PDF Document basic information representation
 */
export declare class SimpleDocumentInfo {
    key: string;
    value: string;
    constructor(key: string, value: string);
}
/**
 * Representation of the Outline nodes
 */
export declare class SimpleOutlineNode {
    title: string;
    dest: any;
    items: SimpleOutlineNode[];
    constructor(title: string, dest: any, items: SimpleOutlineNode[]);
}
/**
 * Representation of the loading progress
 */
export declare class SimpleProgressData {
    loaded: number;
    total: number;
    constructor(loaded: number, total: number);
}
/**
 * Representation of the settings of the search
 */
export declare class SimpleSearchOptions {
    caseSensitive: boolean;
    highlightAll: boolean;
    phraseSearch: boolean;
    static readonly DEFAULT_OPTIONS: SimpleSearchOptions;
    constructor(caseSensitive?: boolean, highlightAll?: boolean, phraseSearch?: boolean);
}
/**
 * Representation of the PDF bookmark
 */
export declare class SimplePDFBookmark {
    page: number;
    zoom: number;
    rotation: number;
    x: number;
    y: number;
    static readonly EMPTY_BOOKMARK: SimplePDFBookmark;
    static readonly PARAMETER_SEPARATOR: string;
    private static readonly PARAMETER_PAGE;
    private static readonly PARAMETER_ZOOM;
    private static readonly PARAMETER_ROTATION;
    private static readonly PARAMETER_X;
    private static readonly PARAMETER_Y;
    constructor(page?: number, zoom?: number, rotation?: number, x?: number, y?: number);
    /**
     * Build destination object to navigation
     */
    toDestination(): object;
    /**
     * Build query string to URL
     */
    toQueryString(): string;
    /**
     * Build bookmark obeject from src url
     */
    static buildSimplePDFBookmark(src: string): SimplePDFBookmark;
}
